<template>
    <v-dialog v-model="visible" persistent max-width="400">
        <v-card>
            <v-toolbar class="mb-4">
                <v-toolbar-title>Nombre actual: {{ nameCareer }}</v-toolbar-title>
                <v-spacer></v-spacer>
                <v-toolbar-items>
                    <v-btn text icon color="red" @click="closeForm">
                        <v-icon>fas fa-times</v-icon>
                    </v-btn>
                </v-toolbar-items>
            </v-toolbar>
			<v-card-text>
				<v-row>
						<v-text-field label="Nuevo nombre" v-model="newName" outlined @keydown.enter="sendData" />
						<v-btn :loading="loading" color="green" block outlined @click="sendData">
							Actualizar
							<template v-slot:loader>
								<span>Actualizando...</span>
							</template>
						</v-btn>
				</v-row>
			</v-card-text>
        </v-card>
    </v-dialog>
</template>

<script>
import EventBus from "../../bus";
import { mapActions } from 'vuex';

export default {
    name: "ModalChangeNameCareer",
    props:["visible", "nameCareer", "institute"],
    data:() => ({
        newName:"",
        loading: false,
    }),
    methods:{
        ...mapActions(["changeNameCareer"]),
        sendData(){
            this.loading = true;
            setTimeout(() => {
                this.changeNameCareer({ institute: this.institute, career: this.nameCareer, newName: this.newName });
                this.loading = false;
                this.newName = "";
            }, 2000);
        },
        closeForm(){
            EventBus.$emit("closeChangeNameCareer");
        }
    }
}
</script>